# StrokeCap enum

Styles to use for line endings.

See also:

- Paint.strokeCap for how this value is used.
- StrokeJoin for the different kinds of line segment joins.

## Constants

butt → const StrokeCap

  Begin and end contours with a flat edge and no extension.

  Compare to the square cap, which has the same shape, but extends past the end of the line by half a stroke width.

  `const StrokeCap(0)`
round → const StrokeCap

  Begin and end contours with a semi-circle extension.

  The cap is colored in the diagram above to highlight it: in normal use it is the same color as the line.

  `const StrokeCap(1)`
square → const StrokeCap

  Begin and end contours with a half square extension. This is similar to extending each contour by half the stroke width (as given by Paint.strokeWidth).

  The cap is colored in the diagram above to highlight it: in normal use it is the same color as the line.

  Compare to the butt cap, which has the same shape, but doesn't extend past the end of the line.

  `const StrokeCap(2)`
values → const List<StrokeCap>

  A constant List of the values in this enum, in order of their declaration.

  `const List<StrokeCap>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited